Bug 1270689 - libsbml-5.11.6-4.fc24 FTBFS: get_filename_component called with incorrect number of arguments
libsbml-5.11.6-4.fc24 FTBFS: get_filename_component called with incorrect num...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libsbml (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
https://apps.fedoraproject.org/kosche...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 03:28 EDT by Petr Pisar
Modified: 2015-11-09 19:51 EST (History)
2 users (show)

See Also:
Fixed In Version: libsbml-5.11.6-6.fc23 libsbml-5.11.6-5.fc22 libsbml-5.11.6-5.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-09 16:53:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2015-10-12 03:28:50 EDT
libsbml-5.11.6-4.fc24 fails to build in F24 because a change in cmake:

+ /usr/bin/cmake -DCMAKE_C_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_CXX_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_Fortran_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_INSTALL_PREFIX:PATH=/usr -DINCLUDE_INSTALL_DIR:PATH=/usr/include -DLIB_INSTALL_DIR:PATH=/usr/lib -DSYSCONF_INSTALL_DIR:PATH=/etc -DSHARE_INSTALL_PREFIX:PATH=/usr/share -DBUILD_SHARED_LIBS:BOOL=ON -DENABLE_LAYOUT=ON -DENABLE_QUAL=ON -DENABLE_COMP=ON -DENABLE_FBC=ON -DENABLE_RENDER=ON -DCSHARP_COMPILER:FILEPATH=/usr/bin/mcs -DWITH_PYTHON=ON -DWITH_CHECK=ON -DPYTHON_INCLUDE_DIR:PATH=/usr/include/python2.7 -DPYTHON_LIBRARY:FILEPATH=-lpython2.7 -DPYTHON_EXECUTABLE:FILEPATH=/usr/bin/python2 -DCMAKE_INSTALL_LIBDIR:PATH=/usr/lib -DWITH_LIBXML:BOOL=ON -DWITH_EXPAT:BOOL=OFF -Wno-dev ..
-- The C compiler identification is GNU 5.1.1
-- The CXX compiler identification is GNU 5.1.1
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compile features
-- Detecting C compile features - done
-- Found SWIG: /usr/bin/swig (found version "3.0.7") 
-- Looking for BZ2_bzCompressInit in /usr/lib/libbz2.so
-- Looking for BZ2_bzCompressInit in /usr/lib/libbz2.so - found
-- Looking for gzopen in /usr/lib/libz.so
-- Looking for gzopen in /usr/lib/libz.so - found
-- Found PkgConfig: /usr/bin/pkg-config (found version "0.28") 
-- Checking for module 'minizip'
--   Found minizip, version 1.2.8
-- Looking for include file check.h
-- Looking for include file check.h - found
-- Looking for include file expat.h
-- Looking for include file expat.h - found
-- Looking for include file errno.h
-- Looking for include file errno.h - found
-- Looking for include file ieeefp.h
-- Looking for include file ieeefp.h - not found
-- Looking for include file math.h
-- Looking for include file math.h - found
-- Looking for include file sys/types.h
-- Looking for include file sys/types.h - found
-- Looking for include file float.h
-- Looking for include file float.h - found
-- Check if the system is big endian
-- Searching 16 bit integer
-- Looking for stdint.h
-- Looking for stdint.h - found
-- Looking for stddef.h
-- Looking for stddef.h - found
-- Check size of unsigned short
-- Check size of unsigned short - done
-- Using unsigned short
-- Check if the system is big endian - little endian
-- Looking for sqrt in m
-- Looking for sqrt in m - found
-- Found PythonInterp: /usr/bin/python2 (found version "2.7.10") 
CMake Error at /usr/share/cmake/Modules/FindPythonLibs.cmake:181 (get_filename_component):
  get_filename_component called with incorrect number of arguments
Call Stack (most recent call first):
  src/bindings/python/CMakeLists.txt:41 (find_package)
-- Found PythonLibs: -lpython2.7 (found version "2.7.10") 
-- 
----------------------------------------------------------------------
libSBML version 5.11.6
----------------------------------------------------------------------
   More information and the latest version are available online at
   http://sbml.org/Software/libSBML
   Please report problems using the issue tracker at
   http://sbml.org/Software/libsbml/issue-tracker
   To contact the developers directly, email libsbml-team@caltech.edu
   Configured on host 'buildvm-19.phx2.fedoraproject.org'
     host type                       = Linux
     host operating system           = Linux 4.1.6-100.fc21.x86_64
     host CPU architecture           = i686
   General build flags:
     CC                              = /usr/bin/cc
     CXX                             = /usr/bin/c++
     CPPFLAGS                        =  -DLINUX
     CFLAGS                          = -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables  -fno-strict-aliasing -fPIC
     CXXFLAGS                        = -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables  -fno-strict-aliasing -fPIC
     LDFLAGS                         =  -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -Wl,--as-needed
   XML parser library configuration:
     XML library                     = libxml2
     CPPFLAGS for XML                = -I/usr/include/libxml2
     LIBS for XML                    = /usr/lib/libxml2.so
   Other libSBML configuration settings:
     Installation $prefix            = /usr
--      Value of $LD_LIBRARY_PATH       = 
--      Using SWIG                      = /usr/bin/swig (Version 3.0.7)
--      Using Python                    = /usr/bin/python2
--      Using libcheck                  = /usr/lib/libcheck.so
--      Using C++ namespace ('libsbml') = no
-- 
--      Build examples                  = no
-- 
--      Use Legacy Math                 = no
-- 
--    Support for SBML Level 3 Packages: 
--      SBML 'comp' package    = ON
--      SBML 'layout' package  = ON
--      SBML 'fbc' package     = ON
--      SBML 'render' package  = ON
--      SBML 'qual' package    = ON
-- 
-- Other potentially important settings:
--   Compression support is enabled for .zip and .gz files
--   Compression support is enabled for .bz2 files
-- 
----------------------------------------------------------------------
-- Configuring incomplete, errors occurred!
See also "/builddir/build/BUILD/libSBML-5.11.6-Source/build2/CMakeFiles/CMakeOutput.log".
See also "/builddir/build/BUILD/libSBML-5.11.6-Source/build2/CMakeFiles/CMakeError.log".
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.PqkXf4 (%build)

The first build root change causing this failure is:

        cmake 	3.3.2-2.fc24 	> 	3.4.0-0.1.rc1.fc24
	kernel-headers 	4.3.0-0.rc4.git0.1.... 	> 	4.3.0-0.rc4.git1.1....
Comment 1 Fedora Update System 2015-10-29 05:59:49 EDT
libsbml-5.11.6-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1263dac701
Comment 2 Fedora Update System 2015-10-29 05:59:50 EDT
libsbml-5.11.6-5.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f64c540a93
Comment 3 Fedora Update System 2015-10-29 05:59:59 EDT
libsbml-5.11.6-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-cd01a15f6f
Comment 4 Fedora Update System 2015-11-01 01:58:17 EST
libsbml-5.11.6-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libsbml'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1263dac701
Comment 5 Fedora Update System 2015-11-01 19:26:36 EST
libsbml-5.11.6-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libsbml'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-cd01a15f6f
Comment 6 Fedora Update System 2015-11-01 21:54:25 EST
libsbml-5.11.6-5.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libsbml'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f64c540a93
Comment 7 Fedora Update System 2015-11-09 16:53:10 EST
libsbml-5.11.6-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-11-09 19:23:02 EST
libsbml-5.11.6-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-11-09 19:50:59 EST
libsbml-5.11.6-5.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.